Subject: Re: bug#78166: 30.1; describe-input-method does not respect help-window-select

From: Sean Devlin <[email-masked]>
Date: Thu, 1 May 2025 21:52:14 -0400

> On May 1, 2025, at 1:45 PM, Eli Zaretskii <[email-masked]> wrote:
> 
> 
>> 
>> From: Sean Devlin <[email-masked]>
>> Date: Wed, 30 Apr 2025 17:01:11 -0400
>> 
>> I see now that the documentation for help-window-select says:
>> 
>> This option has effect if and only if the help window was created
>> by ‘with-help-window’.
>> 
>> So maybe this is not a bug per se.
>> 
>> Should we improve quail-help to use with-help-window?
> 
> Yes, if we want it to heed help-window-select, we should.
> 
> Patches welcome.  But please be careful and test the changes
> thoroughly: AFAIR input-method help has several features thyat we
> would not like to lose.

Sounds good. I will give it a try. I’ll mail back here if I run into problems.

Thanks!

> Thanks.